getting dbi ready for Ruby 1.9.3 #10

Open
wants to merge 10 commits into
from

Conversation

Projects
None yet
5 participants

zdavatz commented Feb 3, 2012

Dear Erik

Without these changes dbi 0.4.5 will not work with Ruby 1.9.3-p0 for us when using postgresql.

Let me know what you think.

Best
Zeno

Excellent! These changes fixed problems for me on Ruby 1.9.2p180, dbi 0.4.5, and dbd-odbc 0.2.5.

zdavatz commented Jul 30, 2012

I hope Eric will get these changes merged-in in this decade ... it seems he is not using postgres or he would have merged this a long time ago.

Best
Zeno

Collaborator

Pistos commented Jul 30, 2012

Ruby DBI is defunct. It has been superseded by https://github.com/RDBI/rdbi (which I have been using with 1.9.3 for many months now).

zdavatz commented Jul 31, 2012

Ok, thanks for the hint.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment